org.springframework.messaging.simp

## Enum SimpMessageType

- java.lang.Object
- - java.lang.Enum<SimpMessageType>
  - - org.springframework.messaging.simp.SimpMessageType

All Implemented Interfaces:
  Serializable, Comparable<SimpMessageType>

    public enum SimpMessageType
    extends Enum<SimpMessageType>

A generic representation of different kinds of messages found in simple messaging protocols like STOMP.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONNECT`
`CONNECT_ACK`
`DISCONNECT`
`DISCONNECT_ACK`
`HEARTBEAT`
`MESSAGE`
`OTHER`
`SUBSCRIBE`
`UNSUBSCRIBE`

### Method Summary

All Methods Static Methods Concrete Methods
`static SimpMessageType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SimpMessageType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONNECT

    public static final SimpMessageType CONNECT

#### CONNECT_ACK

    public static final SimpMessageType CONNECT_ACK

#### MESSAGE

    public static final SimpMessageType MESSAGE

#### SUBSCRIBE

    public static final SimpMessageType SUBSCRIBE

#### UNSUBSCRIBE

    public static final SimpMessageType UNSUBSCRIBE

#### HEARTBEAT

    public static final SimpMessageType HEARTBEAT

#### DISCONNECT

    public static final SimpMessageType DISCONNECT

#### DISCONNECT_ACK

    public static final SimpMessageType DISCONNECT_ACK

#### OTHER

    public static final SimpMessageType OTHER

### Method Detail

#### values

    public static SimpMessageType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SimpMessageType c : SimpMessageType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SimpMessageType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null